# Uses of Class
org.apache.avro.idl.IdlParser.IdlFileContext

## Uses of IdlParser.IdlFileContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.IdlFileContext
Modifier and Type
Method
Description
`final IdlParser.IdlFileContext`
IdlParser.`idlFile()`
Methods in org.apache.avro.idl with parameters of type IdlParser.IdlFileContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterIdlFile(IdlParser.IdlFileContext ctx)`
Enter a parse tree produced by `IdlParser.idlFile()`.
`void`
IdlListener.`enterIdlFile(IdlParser.IdlFileContext ctx)`
Enter a parse tree produced by `IdlParser.idlFile()`.
`void`
IdlBaseListener.`exitIdlFile(IdlParser.IdlFileContext ctx)`
Exit a parse tree produced by `IdlParser.idlFile()`.
`void`
IdlListener.`exitIdlFile(IdlParser.IdlFileContext ctx)`
Exit a parse tree produced by `IdlParser.idlFile()`.